﻿<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <AssemblyName>PathosSPDExpansion</AssemblyName>
    <RootNamespace>Pathos</RootNamespace>
    <OutputType>Library</OutputType>
    <TargetFrameworks>net48;netstandard20</TargetFrameworks>
    <EnableDefaultCompileItems>false</EnableDefaultCompileItems>
  </PropertyGroup>

  <!-- set the open source developer mode -->
  <PropertyGroup Condition=" '$(SolutionName)' != 'Notlame' ">
    <PathosDeveloper>OpenSource</PathosDeveloper>
  </PropertyGroup>
  
  <!-- Location of the Windows Desktop version of Pathos (make sure it is up-to-date) -->
  <PropertyGroup Condition=" '$(PathosDeveloper)' == 'OpenSource' ">
    <PathosInstallation>C:\Games\Pathos</PathosInstallation>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(PathosDeveloper)' != 'OpenSource' ">
    <PathosInstallation>C:\Development\Notlame\Pathos\PathosGameW\bin\x86\Debug\net48</PathosInstallation>
  </PropertyGroup>  
  
  <PropertyGroup>
    <!-- The handle of the module to debug when you hit run in Visual Studio -->
    <PathosQuest>Pixel Sojourn</PathosQuest>
    <!-- Hero to use when debugging your module -->
    <PathosHero>Grytt</PathosHero>
  </PropertyGroup>

  <ItemGroup Condition=" '$(PathosDeveloper)' != 'OpenSource' ">
    <ProjectReference Include="C:\Development\Forge\Inv\InvLibrary\InvLibrary.csproj" />
    <ProjectReference Include="C:\Development\Notlame\Pathos\PathosLibrary\PathosLibrary.csproj" />
    <ProjectReference Include="C:\Development\Notlame\Pathos\PathosEngine\PathosEngine.csproj" />
    <ProjectReference Include="C:\Development\Notlame\Pathos\PathosOfficial\PathosOfficial.csproj" />
  </ItemGroup>  <ItemGroup Condition=" '$(PathosDeveloper)' == 'OpenSource' ">
    <Reference Include="InvLibrary">
      <HintPath>$(PathosInstallation)\Inv.Library.dll</HintPath>
    </Reference>
    <Reference Include="PathosLibrary">
      <HintPath>$(PathosInstallation)\PathosLibrary.dll</HintPath>
    </Reference>
    <Reference Include="PathosEngine">
      <HintPath>$(PathosInstallation)\PathosEngine.dll</HintPath>
    </Reference>
    <Reference Include="PathosOfficial">
      <HintPath>$(PathosInstallation)\PathosOfficial.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <Compile Include="SPDExpansion.cs" />
    <Compile Include="SPDBranches.cs" />
    <Compile Include="SPDBuilder.cs" />
    <Compile Include="SPDDebug.cs" />
    <Compile Include="SPDGameList.cs" />
    <Compile Include="SPDLevelGenerator.cs" />
    <Compile Include="SPDMapPoint.cs" />
    <Compile Include="SPDPainter.cs" />
    <Compile Include="SPDGen.cs" />
    <Compile Include="SPDMap.cs" />
    <Compile Include="SPDRoom.cs" />
    <Compile Include="SPDPoint.cs" />
    <Compile Include="SPDPointF.cs" />
    <Compile Include="SPDRandom.cs" />
    <Compile Include="SPDRect.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\Pathos.InvResourcePackage" />
    <Compile Include="Resources\Pathos.InvResourcePackage.cs">
      <DependentUpon>Pathos.InvResourcePackage</DependentUpon>
    </Compile>
    <EmbeddedResource Include="Resources\Pathos.InvResourcePackage.rs">
      <DependentUpon>Pathos.InvResourcePackage</DependentUpon>
    </EmbeddedResource>
  </ItemGroup>

  <!-- Automatically regenerates the Resources files -->
  <Target Name="OuterPreBuild" BeforeTargets="DispatchToInnerBuilds">
    <Exec Command="&quot;$(PathosInstallation)\InvGen.exe&quot; &quot;$(ProjectDir)Resources\Pathos.InvResourcePackage&quot;" />
  </Target>

  <!-- Make assets and deploy to expansions -->
  <Target Name="PostBuild" AfterTargets="PostBuildEvent" Condition=" '$(TargetFramework)' == 'net48' ">
    <Exec Command="&quot;$(PathosInstallation)\PathosMaker.exe&quot; &quot;$(PathosInstallation)&quot; $(ProjectDir) &quot;$(TargetDir)$(TargetName).dll&quot;" />
  </Target>
</Project>